import request from "@/utils/request";

/**
 * 居民信息列表
 * @param {*} data
 * @returns
 */
export function getResidentInfoList(data) {
  return request({
    url: "/api/convenience/residentInformation/list",
    method: "post",
    data
  });
}

/**
 * 添加居民信息
 * @param {*} data
 * @returns
 */
export function addResidentInfoList(data) {
  return request({
    url: "/api/convenience/residentInformation/add",
    method: "post",
    data
  });
}

/**
 * 居民信息详情
 * @param {*} id 
 * @returns 
 */
export function residentInfo(id) {
  return request({
    url: "/api/convenience/residentInformation",
    method: "get",
    params: id
  });
}
/**
 * 居民信息修改
 * @param {*} data
 * @returns
 */
export function updateResidentInfo(data) {
  return request({
    url: "/api/convenience/residentInformation",
    method: "put",
    data
  });
}

/**
 * 居民信息删除
 * @param {*} id
 * @returns
 */
export function deleteResident(id) {
  return request({
    url: "/api/convenience/residentInformation",
    method: "delete",
    params: id
  });
}

/**
 * 居民信息删除
 * @param {*} id
 * @returns
 */
export function passwordUpdate(data) {
  return request({
    url: "/api/convenience/residentInformation/passwordUpdate",
    method: "post",
    data
  });
}
